API ReferenceTask
Upload external files to Project/Task/TaskComment
POST
Upload external files to Project/Task/TaskComment
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new ProjectFileUpload resource
- body
files*array<>assignId*stringFormat
uuidfileType*stringValue in
"project""task""task-comment"fileCategory?stringFormat
uuidProjectFileUpload resource created
- response
createdBy?|nulltype?stringValue in
"project""task""task-comment""task-chat"project?stringFormat
uuidtask?|nulltaskComment?|Format
uuidpreviewImageUrl?|Format
urlLength
length <= 255id?stringFormat
uuiddisplayedName?stringLength
length <= 255extension?|Length
length <= 10size?integer|nullsource?stringValue in
"internal""link""local-link""g-drive""dropbox""onedrive"createdAt?stringFormat
date-timecurl -X POST 'https://app.icproject.com/api/instance/demo/project/external-file-upload' \ -H 'Content-Type: application/json' \ -d '{ "files": [ { "source": "link", "path": "string", "displayedName": "string" } ], "assignId": "89193c33-c1c7-4e9c-8b37-6363e3eaf197", "fileType": "project"}'Example Response
{ "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "type": "project", "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardShortCode": "string", "boardName": "string" }, "taskComment": "74b627f5-ff78-4f23-addf-c50b206a1b80", "previewImageUrl": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z"}